Name:           perl-Devel-Timer
Version:        0.06
Release:        1%{?dist}
Summary:        Track and report execution time for parts of code
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-Timer/

Source0:        http://search.cpan.org/CPAN/authors/id/S/SZ/SZABGAB/Devel-Timer-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time:
BuildRequires:  perl(strict)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

# Testing
BuildRequires:  perl(Capture::Tiny) >= 0.24
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
Devel::Timer allows developers to accurately time how long a specific
piece of code takes to execute. This can be helpful in locating the
slowest parts of an existing application.

%prep
%setup -q -n Devel-Timer-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc COPYING Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sat Nov 08 2014 Denis Fateyev <denis@fateyev.com> - 0.06-1
- Update to 0.06 release

* Tue Oct 07 2014 Denis Fateyev <denis@fateyev.com> - 0.05-2
- Small spec improvements

* Sat Sep 06 2014 Denis Fateyev <denis@fateyev.com> - 0.05-1
- Initial release
